You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     benl...@datacomm.ch
Last committer: a...@freebsd.org
Ident:          $FreeBSD: head/games/uqm/Makefile 316024 2013-04-18 07:55:27Z 
ak $
Log URL:        
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s/logs/uqm-0.7.0_1.log
Build URL:      
http://beefy2.isc.freebsd.org/bulk/head-amd64-default/2013-09-19_01h04m14s
Log:

====>> Building games/uqm
build started at Thu Sep 19 06:18:43 UTC 2013
port directory: /usr/ports/games/uqm
building for: FreeBSD head-amd64-default-job-06 10.0-CURRENT FreeBSD 
10.0-CURRENT amd64
maintained by: benl...@datacomm.ch
Makefile ident:      $FreeBSD: head/games/uqm/Makefile 316024 2013-04-18 
07:55:27Z ak $
Poudriere version: 3.1-pre

---Begin Environment---
OSVERSION=1000055
UNAME_v=FreeBSD 10.0-CURRENT
UNAME_r=10.0-CURRENT
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/head-amd64-default/ref
PKG_EXT=txz
tpid=58749
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
NBPARALLEL=24
PKGNG=1
PKGNAME=uqm-0.7.0_1
PKG_DELETE=/usr/local/sbin/pkg delete -y -f
PKG_ADD=/usr/local/sbin/pkg add
PWD=/root
MASTERNAME=head-amd64-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
SKIPSANITY=0
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
===> The following configuration options are available for uqm-0.7.0_1:
     DOCS=on: Build and/or install documentation
     MUSIC=off: Music add-on
     OPENAL=off: OpenAL support
     VOICE=off: Voice add-on
====> Options available for the group REMIXES
     REMIXPACK1=off: UQM Remix Pack 1 add-on
     REMIXPACK2=off: UQM Remix Pack 2 add-on
     REMIXPACK3=off: UQM Remix Pack 3 add-on
     REMIXPACK4=off: UQM Remix Pack 4 add-on
===> Use 'make config' to modify these settings
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SDL_CONFIG=/usr/local/bin/sdl-config MAKE=gmake 
SHELL=/bin/sh CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" TMPDIR="/tmp" SDL_CONFIG=/usr/local/bin/sdl-config SHELL=/bin/sh 
NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" 
CFLAGS="-O2 -pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=""  
CXX="c++" CXXFLAGS="-O2 -pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/uqm
DOCSDIR=/usr/local/share/doc/uqm
EXAMPLESDIR=/usr/local/share/examples/uqm
WWWDIR=/usr/local/www/uqm
ETCDIR=/usr/local/etc/uqm
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=yes
---End make.conf---
===>  Cleaning for uqm-0.7.0_1
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   uqm-0.7.0_1 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_2.txz
Installing pkg-1.1.4_2... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of uqm-0.7.0_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by uqm-0.7.0_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by uqm-0.7.0_1 for building
=> SHA256 Checksum OK for uqm-0.7.0-source.tgz.
=> SHA256 Checksum OK for uqm-0.7.0-content.uqm.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv2 accepted by the user
===> Fetching all distfiles required by uqm-0.7.0_1 for building
===>  Extracting for uqm-0.7.0_1
=> SHA256 Checksum OK for uqm-0.7.0-source.tgz.
=> SHA256 Checksum OK for uqm-0.7.0-content.uqm.
/bin/mkdir -p /wrkdirs/usr/ports/games/uqm/work/uqm-0.7.0/content/addons 
/wrkdirs/usr/ports/games/uqm/work/uqm-0.7.0/content/packages
/bin/cp /portdistfiles/uqm-0.7.0-content.uqm 
/wrkdirs/usr/ports/games/uqm/work/uqm-0.7.0/content/packages/
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for uqm-0.7.0_1
===>  Applying FreeBSD patches for uqm-0.7.0_1
===========================================================================
=======================<phase: build-depends  >============================
===>   uqm-0.7.0_1 depends on file: /usr/local/bin/sdl-config - not found
===>    Verifying install for /usr/local/bin/sdl-config in 
/usr/ports/devel/sdl12
===>   Installing existing package /packages/All/sdl-1.2.15_2,2.txz
Installing sdl-1.2.15_2,2...Installing xproto-7.0.24... done
Installing xf86vidmodeproto-2.3.1... done
Installing xextproto-7.2.1... done
Installing renderproto-0.11.1... done
Installing randrproto-1.4.0... done
Installing libxcb-1.9.1...Installing libXdmcp-1.1.1... done
Installing libXau-1.0.8... done
Installing libxml2-2.8.0_2... done
Installing libpthread-stubs-0.3_3... done
 done
Installing libXxf86vm-1.1.3...Installing libXext-1.3.2,1...Installing 
libX11-1.6.1,1...Installing kbproto-1.0.6... done
 done
 done
 done
Installing libXrender-0.9.8... done
Installing libXrandr-1.4.1... done
Installing libXfixes-5.0.1...Installing fixesproto-5.0... done
 done
Installing libXdamage-1.1.4...Installing damageproto-1.2.1... done
 done
Installing dri2proto-2.8... done
Installing expat-2.1.0... done
Installing pciids-20130823... done
Installing libdrm-2.4.17_1...Installing libpciaccess-0.13.2... done
 done
Installing libGLU-9.0.0...Installing libGL-7.6.1_4... done
 done
Installing aalib-1.4.r5_6... done
 done
------------------------------------------------------------------------------
 Your SDL library has been built with libvgl support, which means that you
 can run almost any SDL application straight on your console (VESA 2.0
 compatible videocard is required).

 To do this you have to load the vesa kernel module or enable it in your
 kernel, and set environment variable "SDL_VIDEODRIVER=vgl".
------------------------------------------------------------------------------
===>   Returning to build of uqm-0.7.0_1
===>   uqm-0.7.0_1 depends on executable: gmake - not found
===>    Verifying install for gmake in /usr/ports/devel/gmake
===>   Installing existing package /packages/All/gmake-3.82_1.txz
Installing gmake-3.82_1...Installing gettext-0.18.3... done
 done
===>   Returning to build of uqm-0.7.0_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   uqm-0.7.0_1 depends on shared library: vorbis - not found
===>    Verifying install for vorbis in /usr/ports/audio/libvorbis
===>   Installing existing package /packages/All/libvorbis-1.3.3_1,3.txz
Installing libvorbis-1.3.3_1,3...Installing libogg-1.3.1,4... done
 done
===>   Returning to build of uqm-0.7.0_1
===>   uqm-0.7.0_1 depends on shared library: mikmod - not found
===>    Verifying install for mikmod in /usr/ports/audio/libmikmod
===>   Installing existing package /packages/All/libmikmod-3.1.12.txz
Installing libmikmod-3.1.12... done
===>   Returning to build of uqm-0.7.0_1
===>   uqm-0.7.0_1 depends on shared library: SDL-1.2 - found
===>   uqm-0.7.0_1 depends on shared library: SDL_image-1.2 - not found
===>    Verifying install for SDL_image-1.2 in /usr/ports/graphics/sdl_image
===>   Installing existing package /packages/All/sdl_image-1.2.12_3.txz
Installing sdl_image-1.2.12_3...Installing webp-0.3.1...Installing 
png-1.5.17... done
Installing jpeg-8_4... done
 done
Installing tiff-4.0.3...Installing jbigkit-1.6... done
 done
 done
===>   Returning to build of uqm-0.7.0_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for uqm-0.7.0_1
cd /wrkdirs/usr/ports/games/uqm/work/uqm-0.7.0 && /usr/bin/env 
LOCALBASE=/usr/local PREFIX=/usr/local ./build.sh uqm config
'echo -n' capable echo found.
Sed stream editor found.
tr found.
Make found.
build/unix/config_proginfo_host: pthread-config: not found
build/unix/config_proginfo_host: pthread-config: not found
build/unix/config_proginfo_host: pthread-config: not found
GNU C compiler not found.
No C preprocessor found.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/uqm
===>  Cleaning for uqm-0.7.0_1
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to